Loading...
Searching...
No Matches
GaussianFactorGraph.cpp File Reference

Linear Factor Graph where all factors are Gaussians. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::SparseTriplets = std::vector<std::tuple<int, int, double> >

## Functions

bool | gtsam::hasConstraints (const GaussianFactorGraph &factors)
| Evaluates whether linear factors have any constrained noise models.

## Detailed Description

Linear Factor Graph where all factors are Gaussians.

Author
  Kai Ni
  Christian Potthast
  Richard Roberts
  Frank Dellaert